/* order cancellation  */

.order-cancellation-container {
    display: flex;
    flex-direction: column;
}

.order-cancellation-container .input-container {
    box-shadow: none;
    padding: 0;
    background-color: transparent;
}

.order-cancellation-container .flex1 {
    flex: 1;
}

.order-cancellation-container .flex2 {
    flex: 2;
}

.order-cancellation-container .font10 {
    font-size: 10pt;
}

.order-cancellation-container .flex.space-between {
    justify-content: space-between;
}

.order-cancellation-container .mb5 {
    margin-bottom: 5px;
}

.order-cancellation-container h2 {
    border: none;
}

.order-cancellation-container h1 {
    font-size: 16pt;
    text-align: center;
    margin-bottom: 0.5em;
}

.order-cancellation-container h2 {
    font-size: 14pt;
    font-weight: normal;
    text-align: center;
}

.order-cancellation-form {
    margin: 0 0.5em;
}

.order-cancellation-form .data-section {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.order-cancellation-form .data-row {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
}

.order-cancellation-form .flex .data-row > * + * {
    margin-left: 0;
}

.order-cancellation-form .data-row.item-data-row {
    flex-direction: row;
    align-items: stretch;
}

.order-cancellation-form .data-row.item-data-row > label {
    align-self: center;
}

.order-cancellation-form .data-row.item-data-row .input-container {
    flex: 2;
}

.order-cancellation-form .data-row.item-data-row .input-container > input[type="checkbox"] {
    margin-left: 1em;
}

.order-cancellation-form .data-row .input-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    justify-content: center;
}

.order-cancellation-form .data-row.item-data-row .input-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 0.5em;
    justify-content: flex-start;
}


.order-cancellation-form .input-text,
.order-cancellation-form .form-select {
    width: 100%;
    margin-left: 0;
    margin-bottom: 5px;
}

.order-cancellation-form .custom-dropdown select {
    margin-bottom: 0;
}

.order-cancellation-form section {
    display: flex;
    flex-direction: column;
}

.order-cancellation-form section label.section-label {
    font-size: large;
    font-weight: bold;
    margin-top: 1em;
}

.order-cancellation-form section label {
    font-size: medium;
}

.order-cancellation-form section div {
    margin-top: 5px;
}

.order-cancellation-form .input-select {
    height: 2.1em;
    width: 100%;
}

.order-cancellation-form .order-item-entry {
    width: 100%;
}

.order-cancellation-form .item-data-row label {
    font-weight: bold;
    flex: 1;
}

.order-cancellation-form .item-input {
    display: flex;
    flex-direction: column;
    gap: 0.2em;
}

.order-cancellation-form input.input-xsmall {
    width: 5em;
}

.order-cancellation-form input.input-normal,
.order-cancellation-form select.input-normal {
    width: 16em;
}

.order-cancellation-form .cancel-parameter-short-label {
    width: 5em;
}

.order-cancellation-form .item-error {
    color: red;
    font-weight: bold;
    margin: auto 1em auto 0;
}

.order-cancellation-form .submit-action {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: center;
}

.order-cancellation-form .section-label {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    font-weight: bold;
    font-size: large;
}

.order-cancellation-form .align-self-center {
    align-self: center;
}

.order-cancellation-form .align-self-stretch {
    align-self: stretch;
}

.order-cancellation-form .flex.flex-vertical {
    align-items: center;
}

a {
    justify-content: center;
}

.order-cancellation-container a span {
    color: white;
}

.order-cancellation-container a span {
    color: white;
}

.order-cancellation-container a:hover span {
    color: #3c5062;
}

.cancellation-confirmation-footer {
    margin-top: 2em;
    text-align: center;
}

.cancellation-confirmation {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    justify-content: center;
    align-items: center;
    width: 100%;
}

@media (min-width: 700px) {
    .order-cancellation-form {
        margin-left: auto;
        margin-right: auto;
    }

    .order-cancellation-form .user-input-container {
        width: 670px;
        max-width: 670px;
    }

    .order-cancellation-form .data-row > label {
        flex: 1;
    }

    .order-cancellation-form .data-row > .input-container {
        flex: 2;
    }

    .order-cancellation-form .data-row,
    .order-cancellation-form .data-row .input-container {
        flex-direction: row;
        align-items: center;
        margin-bottom: 0.3em;
    }

    .order-cancellation-form .data-row .input-container > * {
        flex: 1;
    }

    .order-cancellation-form .data-row.item-data-row label {
        font-weight: bold;
        flex: 3;
    }

    .order-cancellation-form .item-data-row label.responsive-only {
        display: none;
    }

    .order-cancellation-form .data-row.item-data-row .input-container > * {
        flex: 1;
    }

    .order-cancellation-form .data-row .input-container .flex2 {
        flex: 2;
    }

    .order-cancellation-form .data-row .input-container .flex3 {
        flex: 3;
    }

    .order-cancellation-form .flex .item-row.data-row {
        align-items: flex-start;
    }

    .order-cancellation-form .order-item-entry .data-row .input-container {
        flex: 1;
    }

    .order-cancellation-form .input-4-of-5 {
        width: 14em;
    }

    .order-cancellation-form .input-1-of-5 {
        width: 5.5em;
    }

    .order-cancellation-form .input-half {
        width: 9.75em;
    }

    .order-cancellation-form .data-row.item-row {
        display: flex;
        flex-direction: column;
    }

    .order-cancellation-form .data-row.item-row > * + * {
        margin-left: 0;
    }

    .order-cancellation-form .order-item-entry {
        display: flex;
        flex-direction: row;
        margin: 0 0.5em;
        gap: 2em;
        border-bottom: 1px solid #ccc;
    }

    .order-cancellation-form .item-data .data-row.item-data-row > label {
        flex: 1;
    }

    .order-cancellation-form .item-data .data-row.item-data-row > .input-container {
        flex: 2;
    }

    .order-cancellation-form .item-table-header > * + *,
    .order-cancellation-form .item-row > * + * {
        margin-left: 0.5em;
    }

    .order-cancellation-form .item-error {
        margin: auto;
        padding: 0 1em;
    }

    .order-cancellation-form .submit-action {
        flex-direction: row;
        justify-content: space-between;
    }

}
